---
features:
  secondary:
  - name: "Prevent modification of group protected branches"
    available_in: [ultimate]
    gitlab_com: true
    add_ons: []
    image_url: '/images/17_6/override-group-branches.png'
    documentation_link: 'https://docs.gitlab.com/ee/user/application_security/policies/merge_request_approval_policies.html#approval_settings'
    reporter: g.hickman
    stage: security_risk_management
    categories:
    - Security Policy Management
    epic_url: 'https://gitlab.com/groups/gitlab-org/-/epics/13776'
    description: |
      When a merge request approval policy is configured to prevent group branch modification, policies now account for protected branches configured for a group. This setting ensures that branches protected at the group level cannot be unprotected. Protected branches restrict certain actions, such as deleting the branch and force pushing to the branch. You can override this behavior and declare exceptions for specific top-level groups with the new `approval_settings.block_group_branch_modification` property to allow group owners to temporarily modify protected branches when necessary.

      This new project override setting ensures that group protected branch settings cannot be modified to circumvent security and compliance requirements, ensuring more stable enforcement of protected branches.   
